/*폰트 중심형 반응형 디자인*/
/*폰트 불러오기*/
@import url("https://fonts.googleapis.com/css2?family=Nanum+Gothic&family=Nanum+Gothic+Coding:wght@400;700&display=swap");
@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard/dist/web/variable/pretendardvariable.css");

/*디버깅용*/
/**{outline:1px solid #ffffff;}*/

/*레이아웃*/
html{
  font-size:18.5px;
}

body {
  display: flex;
  position:relative;
  flex-direction: row-reverse;
  background: #fdfdff;
  /* font-size:1.1em; */
}

aside,
main {
  display: flex;
  flex-direction: column;
  scrollbar-width: none;
}

aside {
  position:fixed;
  bottom:2rem;
  width:100vw;
  max-width:20rem;
  left:50%;
  transform:translateX(-50%);
  background:#ffffffdb;
  padding:0.5rem 1.5rem;
  border-radius:2rem;
  box-shadow:inset -0.1rem -0.1rem 0.2rem #00000010;
  transition:all 0.5s ease;
  border: 1px solid #00000020;
  backdrop-filter:blur(2px);
}
body.dark aside{
  border: 1px solid #ffffff35;
  background:#000000da;
  box-shadow: inset -0.1rem -0.1rem 0.3rem #ffffff15;
}

aside > section {
  display: flex;
  width: 100%;
  height: 100%;
  /* flex-direction: column; */
  justify-content: space-between;
  align-items: center;
}
aside .icon {
  width: 1.8rem;
  aspect-ratio: 1;
  position: relative;
  transition: all 0.2s ease;
  display:flex;
  justify-content:center;
}
aside .icon:active {
  transform: scale(0.9);
}

aside:hover{
  transform:translateY(-0.2rem) translateX(-50%)
}

aside .icon:hover{
  transform:scale(1.05);
}
aside .icon.target {
  animation: biggerShow 0.5s ease
}
aside img {
  width: 100%;
  height: auto;
}
aside .icon:not(.target):not(.logo) img {
  opacity: 0.36;
}
aside .logo {
  width: fit-content;
  height: 1.9rem;
  display:flex;
  justify-content:center;
  align-items:center;
  transition:all 1s ease;
  display:none;
  /* margin-bottom: 6vh; */
  /* margin-bottom: 6dvh; */
}
aside .logo img {
  height: 1.7rem;
  width: auto;
}

aside .icon#post{display:none;}

.icon {
  user-select: none;
}

main {
  width: 100%;
  height: 100%;
  /* padding: 1rem 0; */
  overflow: hidden;
}
main > * {
  flex-shrink: 1;
}

header {
  width: 100%;
  height: 2rem;
  display: flex;
  align-items: center;
  padding: 0 2rem;
  margin:0 auto;
  margin-top:1rem;
  max-width:30rem;
  margin-bottom:1rem;
}

header > section {
  width: 100%;
  height: 100%;
  display: flex;
  align-items:center;
}
header .logo {
  height: 80%;
}
header img {
  height: 100%;
}
header > section > div:not(.logo) {
  margin-left: auto;
  display: flex;
}

header .logo {
  /* display: none; */
}
header #unlogin button {
  margin: 0 0.4rem !important;
  margin-right: 0 !important;
  padding: 0.35rem 0.7rem !important;
  font-size: 0.8em;
}
header #login {
  display: none;
}
header #login {/*
  width:30%;
  max-width:8rem;*/
  height: 100%;
  align-items:center;
  justify-content:space-between;
  clear: both;
}

header #unlogin {
  display: none;
}

header #login .icon {
  height: 1.5rem;
  /* margin: auto 0; */
  opacity: 1;
}
header #login .prof {
  height: 1.4rem;
  margin-left:auto;
  /* margin: auto 0; */
}


#content {
  width: 100%;
  overflow: hidden;
  overflow-y: auto;
  scrollbar-width: none;
  /* min-height: 100vh; */
  /* min-height: 100dvh; */
  padding-bottom: 10rem;
  position:relative;
}

#onContent {
  width: 100%;
  height: 100%;
  height: 100vh;
  height: 100dvh;
  height: calc(var(--vh, 1vh) * 100);
  position: fixed;
  top: 0;
  left: 0;
  background: #000000C0;
  backdrop-filter: blur(1px);
  z-index: 100000;
  display: none;
  justify-content: center;
  align-items: center;
  margin: 0;
  animation:show 0.25s ease;
}
#onContent iframe {
  box-shadow: 0 15px 15px #00000020;
}
.icon .newLabel {
  transition:all 0.5s ease;
  background: /*#ff3e62*/ #ff4646;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100px;
  position: absolute;
  font-size: 0.7em;
  padding: 0.1rem 0.2rem;
  left: calc(50% + 0.6rem);
  top: calc(50% - 1.1rem);
  transform: translate(-50%);
  z-index: 1;
  min-width: 1.5em;
  animation: show 0.5s ease;
  font-weight: 800;
}

.more {
  /* padding: 0.5rem; */
}
.more .profBar {
  height: 100%;
}
.more > #moreProfPanel {
  display: flex;
  gap:0.5rem;
  align-items: center;
  height: 2rem;
}
.more > #moreProfPanel >img:first-of-type{margin-left:auto;}
.more > #moreProfPanel > img {
  height: 95%;
  opacity: 0.8;
  /* background: #00000020; */
  padding: 0.25rem;
  border-radius: 0.5rem;
  transition: all 0.5s ease;
}
.more > #moreProfPanel > img:hover {
  background: #00000020;
}
body.dark .more > #moreProfPanel > img {
  filter: invert(1);
}

#moreMenu{
  margin-top: 0.5rem;
  width:auto;
  background:#00000015;
  padding:0.5rem 0.7rem;
  border-radius:1rem;
  display:flex;
  flex-direction:column;
  
}

body.dark #moreMenu{
  background:#ffffff15;
}
#moreMenu > *{
  text-align:center;
  display:flex;
    align-items:center;
  padding:0.8em 0.5em;
  gap:1em;
  /* font-size:0.9em; */
}
#moreMenu .rowTitle{
  font-weight:700;
  user-select:none;
}
#moreMenu .rowButton{
  font-weight:500;
  user-select:none;
  padding: 0.5rem
}

#moreMenu img{height:1.2rem;filter:brightness(0);opacity:0.35}


footer{
  /* margin-left:4rem; */
  justify-content:space-between;
  padding:1rem;
  /* background:#00000015; */
  margin-top:5rem;
}
body.dark footer{
  /* background:#ffffff15; */
  color:white !important;
}
body.dark footer a{color:white;}
footer>*{opacity:0.5;}
footer img{
  height:2rem;
}
footer #footerInfo{
  flex:1;
  display:flex;
  flex-wrap:wrap;
  gap:0.5rem;
  flex-shrink:1;
  height:fit-content;
  font-size:0.8em;
  margin-left:5%;
}
footer #footerNav{
  width:100%;
  display:flex;
  flex-wrap:wrap;
  gap:0.4rem;
  flex-shrink:1;
  height:fit-content;
}
footer #footerInfo>#footerNav>*:hover{
  text-decoration:underline;
}
footer #footerInfo #footerNav>*{
  height:1.5rem;
  flex-shrink:1;
}
footer #개인정보_처리방침{font-weight:800}
footer #footerAbout{display:flex;gap:1rem;}

/*기본 레이아웃 > 반응형 디자인*/
@media (max-width: 700px) {
header{margin-bottom:0}
aside:hover{
  transform:translateX(-50%)
}
  aside #post{
    display:none
  }
  body {
    display: flex;
    flex-direction: column;
  }
  body > * {
    flex-shrink: 1;
  }
  footer{margin:0;margin-top: 2rem;}
  header,
  aside {
    width: 100vw;
    height: 3.2rem;
    padding: 0.78rem 7.5vw;
    z-index:1000;
    /* max-height: 8vh; */
    /* min-height: 5vh; */
  }
  aside {
    position: absolute;
    bottom: -0.05em;
    background: #fdfdffcc;
    backdrop-filter: blur(30px);
    /*padding: 0.65rem 8vw;
    border:none !important;
    max-width:100vw;
    border-radius:0;
    box-shadow:none !important;*/
    display:flex;
    justify-content:center;
    max-width:calc(100vw);
    border-radius:1rem;
    margin:0;
    border-bottom-left-radius:0;
    border-bottom-right-radius:0;
    border-bottom:none;
    box-shadow:none;
    padding: 0.45rem 8vw;
    height: 2.8rem;
    background: #fdfdffcc;
  }
  body.dark aside {
    background: #000000Ea;
  }
  header {
    height: 3rem !important;
    flex-shrink: 0;
  }
  aside > section {
    flex-direction: row;
    width: 100%;
    height: 90%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  aside .logo {
    display: none;
  }
  aside .icon {
    height: 100%;
    aspect-ratio: 1;
  }
  aside img {
    height: 100%;
    width: auto;
  }
  main {
    padding: 0;
  }
  header .logo {
    display: block;
    height: 1.4rem;
  }
  header {
    padding: 0 5vw;
    margin-top:0.2rem;
  }
  header > section {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  header #login {
    padding: 0;
  }
  #pageTitle {
    padding: 0.8rem 1.1rem;
    display: flex;
    width: 100%;
    align-items: center;
    gap: 1rem;
    font-size: 1.35rem;
  }
  #pageTitle img {
    height: 0.85rem;
  }
}

/*다크모드*/
body.dark {
  background: rgb(0 0 0);
}
body.dark  {
  color: #e2e2ec;
}
body.dark aside .icon img {
  filter: invert(1);
}
body.dark header .icon img {
  filter: invert(1);
}

/*경로별 추가설정*/
body.alarm header,
body.dm header,
body.space header,
body.search header,
body.view header {
  display: none;
}

.iframe aside,.iframe header{display:none;}

.logo{transition:all 1s ease}
.logo:hover{
  transform:rotate(360deg) scale(1.2);
}

#openMoreButton{
  display:flex;
  align-items:center;
  gap:0.5em;
  flex-direction:row-reverse;
}
#headerMore{
  height:0.4em;
  transition : all 0.5s ease;
}
#openMoreButton:hover #headerMore{
  rotate:180deg;
}

#openMoreButton{
  transition:all 0.5s ease;
  opacity:0;
  animation:show 0.5s ease 1s forwards;
  background:transparent;
  outline:0.1rem solid transparent;
}
#openMoreButton:hover{
  border-radius:1rem;
  background:#00000020;
  outline:0.2rem solid #00000020;
}
#openMoreButton:hover #headerMore{
  margin-left:0.4em;
}

body.dark #openMoreButton:hover{
  background:#ffffff40;
  outline:0.2rem solid #ffffff30;
}

#openMoreButton .prof:hover{
  opacity:1
}